#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1153c20d, "module_layout" },
	{ 0x1a3f4591, "eth_change_mtu" },
	{ 0xc7778f2b, "eth_validate_addr" },
	{ 0xdf64e9b5, "eth_mac_addr" },
	{ 0xb3d447c, "_raw_spin_unlock_irq" },
	{ 0xd2b41b29, "skb_copy_expand" },
	{ 0xd844e7d7, "_raw_spin_lock_irq" },
	{ 0x9ae9bb24, "__dev_kfree_skb_irq" },
	{ 0x87f11977, "usb_register_driver" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0x99a142d7, "register_netdev" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x90e7b95, "usb_alloc_coherent" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf845f3bd, "usb_reset_configuration" },
	{ 0xd6b86ddf, "__raw_spin_lock_init" },
	{ 0x27c5a93d, "alloc_etherdev_mqs" },
	{ 0xc2c06dc0, "release_firmware" },
	{ 0xd5f5302e, "request_firmware" },
	{ 0x96cae12a, "netif_carrier_on" },
	{ 0xf0ca1aa7, "netif_carrier_off" },
	{ 0xe9ad9da7, "usb_autopm_put_interface" },
	{ 0xfd04a0c3, "usb_autopm_get_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x675cf1f9, "usb_alloc_urb" },
	{ 0xad1a07ca, "kmem_cache_alloc_trace" },
	{ 0x8467ada2, "malloc_sizes" },
	{ 0x4c4fef19, "kernel_stack" },
	{ 0x4ad1af42, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x9a9eafd6, "prepare_to_wait" },
	{ 0x6e657469, "current_task" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x66d92ae2, "__init_waitqueue_head" },
	{ 0x64f3f7b4, "__netif_schedule" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x8ea51535, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0xb14ed6d0, "dev_warn" },
	{ 0x6a935209, "free_netdev" },
	{ 0x607af5b5, "usb_free_coherent" },
	{ 0x3326c9ba, "usb_free_urb" },
	{ 0xba37bd96, "unregister_netdev" },
	{ 0x63c58bc0, "dev_set_drvdata" },
	{ 0x7c6da77, "_dev_info" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0xebce9b5b, "usb_kill_urb" },
	{ 0x956715e6, "netif_rx" },
	{ 0xfe97a112, "eth_type_trans" },
	{ 0xadf76bd8, "skb_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfbde8b2e, "dev_alloc_skb" },
	{ 0x9393f470, "_raw_spin_unlock" },
	{ 0x7a5fb187, "_raw_spin_lock" },
	{ 0xf8174d4b, "__wake_up" },
	{ 0xb6ead488, "_raw_spin_unlock_irqrestore" },
	{ 0x6194ee7b, "_raw_spin_lock_irqsave" },
	{ 0xfb5f11db, "dev_get_drvdata" },
	{ 0xf1bea6f1, "schedule_delayed_work" },
	{ 0x27e1a049, "printk" },
	{ 0xd34486af, "usb_submit_urb" },
	{ 0x63c995c3, "usb_deregister" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "8E563F5EBB8453A1BC4DFF8");
