#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x1153c20d, "module_layout" },
	{ 0x96d835c7, "usb_serial_disconnect" },
	{ 0xb714c79c, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x9393f470, "_raw_spin_unlock" },
	{ 0x7a5fb187, "_raw_spin_lock" },
	{ 0x7d11c268, "jiffies" },
	{ 0x63c58bc0, "dev_set_drvdata" },
	{ 0x7c6da77, "_dev_info" },
	{ 0x6b371b87, "usb_string" },
	{ 0xd6b86ddf, "__raw_spin_lock_init" },
	{ 0xaa910379, "tty_encode_baud_rate" },
	{ 0x409873e3, "tty_termios_baud_rate" },
	{ 0x1720353a, "tty_get_baud_rate" },
	{ 0x66d92ae2, "__init_waitqueue_head" },
	{ 0x675cf1f9, "usb_alloc_urb" },
	{ 0xc2c06dc0, "release_firmware" },
	{ 0xd5f5302e, "request_firmware" },
	{ 0x87f11977, "usb_register_driver" },
	{ 0x5600af84, "usb_serial_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb14ed6d0, "dev_warn" },
	{ 0x956070d5, "usb_control_msg" },
	{ 0xad1a07ca, "kmem_cache_alloc_trace" },
	{ 0x8467ada2, "malloc_sizes" },
	{ 0xebce9b5b, "usb_kill_urb" },
	{ 0x1000e51, "schedule" },
	{ 0x71de9b3f, "_copy_to_user" },
	{ 0x6bcb6e07, "__might_sleep" },
	{ 0x4ad1af42, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x9a9eafd6, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x6e657469, "current_task" },
	{ 0x3326c9ba, "usb_free_urb" },
	{ 0xf8174d4b, "__wake_up" },
	{ 0x6e38b7d6, "tty_flip_buffer_push" },
	{ 0x2bfd455b, "tty_insert_flip_string_fixed_flag" },
	{ 0xfb5f11db, "dev_get_drvdata" },
	{ 0x924039bd, "tty_kref_put" },
	{ 0xe5f5d1e, "tty_wakeup" },
	{ 0xed9ccdf9, "tty_port_tty_get" },
	{ 0x67e34ce5, "dev_err" },
	{ 0xd34486af, "usb_submit_urb" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6ead488, "_raw_spin_unlock_irqrestore" },
	{ 0x6194ee7b, "_raw_spin_lock_irqsave" },
	{ 0x4140c88f, "dev_printk" },
	{ 0x27e1a049, "printk" },
	{ 0xb4390f9a, "mcount" },
	{ 0x8dd40ac, "usb_serial_deregister" },
	{ 0x63c995c3, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2CB4FB4E90C38FBFABA3B84");
